osl::state Namespace Reference

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Functions
osl::state Namespace Reference

局面. More...

## Classes
class | HistoryState
class | DoUndoMoveLock
class | NumEffectState
| 利きを持つ局面 More...
class | SimpleState

## Functions
bool | operator== (const NumEffectState &st1, const NumEffectState &st2)
| 駒番に依存した局面（インスタンス）比較をする. More...
bool | operator!= (const NumEffectState &s1, const NumEffectState &s2)
std::ostream & | operator<< (std::ostream &os, const SimpleState &state)
bool | operator== (const SimpleState &st1, const SimpleState &st2)
| 盤上の駒のみを比較する（持ち駒は見ない）. More...

## Detailed Description

局面.

- state::SimpleState 基本の局面
- state::PawnMaskState 二歩情報を保持する局面
- state::NumEffectState 直接利きを保持する局面
- state::HashEffectState ハッシュ値と直接利きを保持する局面

## Function Documentation

bool osl::state::operator!= | ( | const NumEffectState & | s1,
|  | const NumEffectState & | s2
| ) |  |
| inline

Definition at line 969 of file numEffectState.h.

std::ostream & osl::state::operator<< | ( | std::ostream & | os,
|  | const SimpleState & | state
| ) |  |

Definition at line 573 of file simpleState.cc.

References osl::BLACK, osl::csaShow(), osl::state::SimpleState::pieceOnBoard(), osl::state::SimpleState::turn(), and osl::WHITE.

bool osl::state::operator== | ( | const NumEffectState & | st1,
|  | const NumEffectState & | st2
| ) |  |

駒番に依存した局面（インスタンス）比較をする.

なお、駒番に非依存な局面比較をしたい場合は、osl::record::CompactBoardや osl::hash::HashKeyを用いる.

Definition at line 12 of file numEffectState.cc.

References osl::state::NumEffectState::effects, osl::state::NumEffectState::isConsistent(), osl::state::NumEffectState::king8infos, osl::state::NumEffectState::king_mobility, osl::state::NumEffectState::pieces_onboard, osl::state::NumEffectState::pin_or_open, and osl::state::NumEffectState::promoted.

bool osl::state::operator== | ( | const SimpleState & | st1,
|  | const SimpleState & | st2
| ) |  |

盤上の駒のみを比較する（持ち駒は見ない）.

なお、駒番に非依存な局面比較をしたい場合は、osl::record::CompactBoardや osl::hash::HashKeyを用いる.

Definition at line 533 of file simpleState.cc.

References osl::state::SimpleState::isConsistent(), osl::state::SimpleState::pawnMask, osl::state::SimpleState::pieceAt(), osl::Piece::ptypeO(), and osl::state::SimpleState::turn().